Create Place Visit
POST
/users/{user_id}/places/{place_id}/visits
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/places/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/visits';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ended_at":"2026-04-15T12:00:00Z","local_date":"2026-04-15","note":"example","occurred_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/places/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/visits \ --header 'Content-Type: application/json' \ --data '{ "ended_at": "2026-04-15T12:00:00Z", "local_date": "2026-04-15", "note": "example", "occurred_at": "2026-04-15T12:00:00Z" }'Log a manual visit to a place. Shows in location history alongside auto-detected stays.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
place_id
required
Place Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PlaceVisitCreate
Log a manual visit to a place. occurred_at defaults to now; local_date is stamped from
the user timezone if the client doesn’t send it.
object
Examplegenerated
{ "ended_at": "2026-04-15T12:00:00Z", "local_date": "2026-04-15", "note": "example", "occurred_at": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PlaceVisitRead
object
id
required
Id
string format: uuid
lat
required
Lat
number
lng
required
Lng
number
occurred_at
required
Occurred At
string format: date-time
place_id
required
Place Id
string format: uuid
place_name
required
Place Name
string
source
required
Source
string
Examplegenerated
{ "ended_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "lat": 1, "lng": 1, "local_date": "2026-04-15", "note": "example", "occurred_at": "2026-04-15T12:00:00Z", "place_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "place_name": "example", "source": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}